Send Carousel Template Message

Send a Carousel Template message. This involves defining variables for the main message body, as well as specific media (headers) and text variables for each card in the carousel.

Example Request Body

{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "919833056101",
  "type": "template",
  "template": {
    "name": "test_template",
    "language": {
      "code": "en"
    },
    "components": [
      {
        "type": "BODY",
        "parameters": [
          {
            "type": "TEXT",
            "text": "15OFF"
          },
          {
            "type": "TEXT",
            "text": "15"
          }
        ]
      },
      {
        "type": "CAROUSEL",
        "cards": [
          {
            "card_index": 0,
            "components": [
              {
                "type": "HEADER",
                "parameters": [
                  {
                    "type": "IMAGE",
                    "image": {
                      "link": "[https://example.com/wa/final.jpg](https://example.com/wa/final.jpg)"
                    }
                  }
                ]
              },
              {
                "type": "BODY",
                "parameters": [
                  {
                    "type": "text",
                    "text": "15OFF"
                  },
                  {
                    "type": "text",
                    "text": "15"
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to v24.0
string
required

The ID of the phone number sending the message.

Body Params
string
required
Defaults to whatsapp
string
Defaults to individual
string
required

Recipient Phone Number

string
required
Defaults to template
template
object
required
Headers
string
required

Provide your Access Token. Format: YOUR_API_KEY

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json